QT       += core gui sql network

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = pmv-client
TEMPLATE = app

CONFIG += c++11

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    configdialog.cpp \
    conndialog.cpp \
    datedelegate.cpp \
    editdialog.cpp \
    helpdialog.cpp \
    importdialog.cpp \
    landesverband.cpp \
    main.cpp \
    mainwindow.cpp \
    passdialog.cpp \
    wahldialog.cpp \
    wahlkreisdialog.cpp

HEADERS += \
    configdialog.h \
    conndialog.h \
    datedelegate.h \
    editdialog.h \
    helpdialog.h \
    importdialog.h \
    landesverband.h \
    mainwindow.h \
    passdialog.h \
    wahldialog.h \
    wahlkreisdialog.h

FORMS += \
    configdialog.ui \
    conndialog.ui \
    editdialog.ui \
    helpdialog.ui \
    importdialog.ui \
    mainwindow.ui \
    passdialog.ui \
    wahldialog.ui \
    wahlkreisdialog.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

DISTFILES += \
    INSTALL \
    LICENSE \
    README.md \
    pmv-client.desktop

RESOURCES += \
    default.qrc
